"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderCancel = void 0;
const __1 = require("..");
const orderCancel = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const key = '/EE3QeRZEMYxlVseUWsSiQ';
        const secret = 'NZJTQ2+CEm61sUM0wRN/sE03JyFHVJdyisA/rPk443k';
        await econobit.login({ key, secret });
        const { list, onDelete } = await econobit.subscribe.openOrders();
        onDelete(orderId => console.log(new Date(), 'order canceled:', orderId));
        if (!list[0]) {
            console.warn('no orders to cancel');
            return;
        }
        const success = await econobit.order.cancel({
            orderId: list[0].orderId,
        });
        console.log(success);
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.orderCancel = orderCancel;
exports.orderCancel();
//# sourceMappingURL=orderCancel.js.map