"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onResponse = void 0;
const onResponse = async (emitter, resolveEvent, rejectEvent) => {
    return new Promise((resolve, reject) => {
        emitter.once(resolveEvent, (action) => resolve(action));
        rejectEvent && emitter.once(rejectEvent, (action) => reject(action));
    });
};
exports.onResponse = onResponse;
//# sourceMappingURL=onResponse.js.map