"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('authentication', () => {
    const econobit = new __1.Econobit({ testnet: true });
    beforeAll(async () => {
        await econobit.connect();
    });
    const key = 'VhIq4GuUkSsqnvhLwwULsw';
    const secret = 'p7SdEoOK7N/CgjHwyQrOz2mkSLJwJfqcJChg0KlHeRI';
    test('login', async () => {
        await econobit.login({ key, secret });
        expect(econobit.isLogged).toBe(true);
    });
    test('logout', async () => {
        await econobit.logout();
        expect(econobit.isLogged).toBe(false);
    });
});
//# sourceMappingURL=auth.spec.js.map