"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('orderbook', () => {
    const econobit = new __1.Econobit({ testnet: true });
    beforeAll(async () => {
        await econobit.connect();
    });
    test('subscribe', async () => {
        expect.assertions(2);
        const { orderbook, onUpdate } = await econobit.subscribe.orderbook('BTC-BRL');
        expect(orderbook.symbol).toBe('BTC-BRL');
        expect(onUpdate).toBeInstanceOf(Function);
    });
    test('unsubscribe', async () => {
        expect(econobit.unsubscribe.orderbook('BTC-BRL')).toBeUndefined();
    });
});
//# sourceMappingURL=orderbook.spec.js.map