"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lastTrades = void 0;
const __1 = require("..");
const lastTrades = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const { list, onAdd } = await econobit.subscribe.lastTrades('BTC-BRL');
        console.log(list);
        onAdd(trade => {
            console.log('lastTrades add:', trade);
        });
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.lastTrades = lastTrades;
exports.lastTrades();
//# sourceMappingURL=lastTrades.js.map