"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openOrders = void 0;
const __1 = require("..");
const openOrders = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const key = 'VhIq4GuUkSsqnvhLwwULsw';
        const secret = 'p7SdEoOK7N/CgjHwyQrOz2mkSLJwJfqcJChg0KlHeRI';
        await econobit.login({ key, secret });
        const { list, onAdd, onUpdate, onDelete } = await econobit.subscribe.openOrders();
        console.log(list);
        onAdd(order => console.log('openOrders add:', order));
        onUpdate(order => console.log('openOrders update:', order));
        onDelete(orderId => console.log('openOrders delete:', orderId));
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.openOrders = openOrders;
exports.openOrders();
//# sourceMappingURL=openOrders.js.map