"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderSend = void 0;
const __1 = require("..");
const orderSend = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const key = '/EE3QeRZEMYxlVseUWsSiQ';
        const secret = 'NZJTQ2+CEm61sUM0wRN/sE03JyFHVJdyisA/rPk443k';
        await econobit.login({ key, secret });
        const { onAdd } = await econobit.subscribe.openOrders();
        onAdd(order => console.log(new Date(), 'order created:', order));
        const success = await econobit.order.send({
            type: 'limit',
            amount: 0.0001,
            side: 'buy',
            market: 'BTC-BRL',
            price: 200000
        });
        console.log(success);
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.orderSend = orderSend;
exports.orderSend();
//# sourceMappingURL=orderSend.js.map