"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ticker = void 0;
const __1 = require("..");
const ticker = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const { list, onUpdate } = await econobit.subscribe.ticker();
        console.log(list);
        onUpdate(update => console.log('ticker update:', update));
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.ticker = ticker;
exports.ticker();
//# sourceMappingURL=ticker.js.map