"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeApiLogin = void 0;
const crypto_1 = require("crypto");
const makeApiLogin = ({ key, secret }) => {
    const nonce = Date.now();
    const signature = crypto_1.createHash('sha256').update(secret).update(nonce.toString()).digest('base64');
    return { key, nonce, signature };
};
exports.makeApiLogin = makeApiLogin;
//# sourceMappingURL=makeApiLogin.js.map