"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onMessage = void 0;
const onMessage = (emitter) => (msg) => {
    const data = JSON.parse(msg);
    const actions = Array.isArray(data) ? data : [data];
    for (const action of actions) {
        emitter.emit(action.type, action);
    }
};
exports.onMessage = onMessage;
//# sourceMappingURL=onMessage.js.map