"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('lastTrades', () => {
    const econobit = new __1.Econobit({ testnet: true });
    beforeAll(async () => {
        await econobit.connect();
    });
    test('subscribe', async () => {
        expect.assertions(2);
        const { list, onAdd } = await econobit.subscribe.lastTrades('BTC-BRL');
        expect(list[0].market).toBe('BTC-BRL');
        expect(onAdd).toBeInstanceOf(Function);
    });
    test('unsubscribe', async () => {
        expect(econobit.unsubscribe.lastTrades('BTC-BRL')).toBeUndefined();
    });
});
//# sourceMappingURL=lastTrades.spec.js.map