"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('ticker', () => {
    const econobit = new __1.Econobit({ testnet: true });
    beforeAll(async () => {
        await econobit.connect();
    });
    test('subscribe', async () => {
        expect.assertions(2);
        const { list, onUpdate } = await econobit.subscribe.ticker();
        expect(list['BTC-BRL'].symbol).toBe('BTC-BRL');
        expect(onUpdate).toBeInstanceOf(Function);
    });
    test('unsubscribe', async () => {
        expect(econobit.unsubscribe.ticker()).toBeUndefined();
    });
});
//# sourceMappingURL=ticker.spec.js.map